import Layout from '@/views/layout/Layout'

export default {
  path: '/stock',
  component: Layout,
  redirect: 'noredirect',
  name: 'stockManage',
  alwaysShow: true,
  meta: {
    title: 'stockManage',
    icon: 'stock',
    isChild: true
  },
  children: [
    {
      path: '/stock/consumablesManagement',
      component: Layout,
      redirect: '/stock/in',
      name: 'consumablesManagement',
      parentNum: 1,
      meta: {
        isChild: true,
        title: 'consumablesManagement',
        noCache: true
      }
    },
    {
      path: '/stock/in',
      component: () => import('@/xt_pages/stock/stockInOrder'),
      name: 'stockInOrder',
      hidden: true,
      is_menu: false,
      num: 1,
      meta: { title: 'stockInOrder', noCache: true }
    },
    {
      path: '/stock/return',
      component: () => import('@/xt_pages/stock/salesReturnOrder'),
      name: 'salesReturnOrder',
      hidden: true,
      is_menu: false,
      num: 1,
      meta: { title: 'salesReturnOrder', noCache: true }
    },
    {
      path: '/stock/out',
      component: () => import('@/xt_pages/stock/stockOutOrder'),
      name: 'stockOutOrder',
      hidden: true,
      is_menu: false,
      num: 1,
      meta: { title: 'stockOutOrder', noCache: true }
    },
    {
      path: '/stock/cancel',
      component: () => import('@/xt_pages/stock/cancelStockOrder'),
      name: 'cancelStockOrder',
      hidden: true,
      is_menu: false,
      num: 1,
      meta: { title: 'cancelStockOrder', noCache: true }
    },
    {
      path: '/stock/in/other',
      component: () => import('@/xt_pages/stock/otherStockInOrder'),
      name: 'otherStockInOrder',
      hidden: true,
      is_menu: false,
      num: 1,
      meta: { title: 'otherStockInOrder', noCache: true }
    },
    {
      path: '/stock/return/other',
      component: () => import('@/xt_pages/stock/otherSalesReturnOrder'),
      name: 'otherSalesReturnOrder',
      hidden: true,
      is_menu: false,
      num: 1,
      meta: { title: 'otherSalesReturnOrder', noCache: true }
    },
    {
      path: '/stock/out/other',
      component: () => import('@/xt_pages/stock/otherStockOutOrder'),
      name: 'otherStockOutOrder',
      hidden: true,
      is_menu: false,
      num: 1,
      meta: { title: 'otherStockOutOrder', noCache: true }
    },
    {
      path: '/stock/cancel/other',
      component: () => import('@/xt_pages/stock/otherCancelStockOrder'),
      name: 'otherCancelStockOrder',
      hidden: true,
      is_menu: false,
      num: 1,
      meta: { title: 'otherCancelStockOrder', noCache: true }
    },
    // {
    //   path: "/stock/",
    //   component: Layout,
    //   redirect: "noredirect",
    //   name: "warehouseReceipt",
    //   meta: {
    //     isChild: true,
    //     title: "warehouseReceipt"
    //   },
    //   children: [

    //   ]
    // },

    // {
    //   path: "stock/",
    //   component: Layout,
    //   redirect: "noredirect",
    //   name: "warehouseReceiptOther",
    //   meta: {
    //     isChild: true,
    //     title: "warehouseReceiptOther"
    //   },
    //   children: [
    //     {
    //       path: "/stock/in/other",
    //       component: () => import("@/xt_pages/stock/otherStockInOrder"),
    //       name: "otherStockInOrder",
    //       meta: { title: "otherStockInOrder", noCache: true }
    //     },
    //     {
    //       path: "/stock/return/other",
    //       component: () => import("@/xt_pages/stock/otherSalesReturnOrder"),
    //       name: "otherSalesReturnOrder",
    //       meta: { title: "otherSalesReturnOrder", noCache: true }
    //     },
    //     {
    //       path: "/stock/out/other",
    //       component: () => import("@/xt_pages/stock/otherStockOutOrder"),
    //       name: "otherStockOutOrder",
    //       meta: { title: "otherStockOutOrder", noCache: true }
    //     },
    //     {
    //       path: "/stock/cancel/other",
    //       component: () => import("@/xt_pages/stock/otherCancelStockOrder"),
    //       name: "otherCancelStockOrder",
    //       meta: { title: "otherCancelStockOrder", noCache: true }
    //     }
    //   ]
    // },
    {
      path: '/stock/query',
      component: () => import('@/xt_pages/stock/stockQuery'),
      name: 'stockQuery',
      hidden: true,
      is_menu: false,
      num: 1,
      meta: { title: 'stockQuery', noCache: true }
    },
    {
      path: '/stock/detail',
      component: () => import('@/xt_pages/stock/stockDetailIndex'),
      name: 'stockDetail',
      hidden: true,
      is_menu: false,
      num: 1,
      meta: { title: 'stockDetail', noCache: true }
    },
    {
      path: '/stock/in/add',
      component: () => import('@/xt_pages/stock/stockInOrderAdd'),
      name: 'stockInOrderAdd',
      hidden: true,
      is_menu: false,
      meta: { title: 'stockInOrderAdd', noCache: true }
    },
    {
      path: '/stock/in/detail',
      component: () => import('@/xt_pages/stock/stockInDetail'),
      name: 'stockInDetail',
      hidden: true,
      is_menu: false,
      meta: { title: 'stockInDetail', noCache: true }
    },
    {
      path: '/stock/return/detail',
      component: () => import('@/xt_pages/stock/salesReturnDetail'),
      name: 'salesReturnDetail',
      hidden: true,
      is_menu: false,
      meta: { title: 'salesReturnDetail', noCache: true }
    },
    {
      path: '/stock/return/add',
      component: () => import('@/xt_pages/stock/salesReturnOrderAdd'),
      name: 'salesReturnOrderAdd',
      hidden: true,
      is_menu: false,
      meta: { title: 'salesReturnOrderAdd', noCache: true }
    },
    {
      path: '/stock/out/add',
      component: () => import('@/xt_pages/stock/stockOutOrderAdd'),
      name: 'stockOutOrderAdd',
      hidden: true,
      is_menu: false,
      meta: { title: 'stockOutOrderAdd', noCache: true }
    },
    {
      path: '/stock/out/detail',
      component: () => import('@/xt_pages/stock/stockOutDetail'),
      name: 'stockOutDetail',
      hidden: true,
      is_menu: false,
      meta: { title: 'stockOutDetail', noCache: true }
    },
    {
      path: '/stock/cancel/add',
      component: () => import('@/xt_pages/stock/cancelStockOrderAdd'),
      name: 'cancelStockOrderAdd',
      hidden: true,
      is_menu: false,
      meta: { title: 'cancelStockOrderAdd', noCache: true }
    },
    {
      path: '/stock/cancel/detail',
      component: () => import('@/xt_pages/stock/cancelStockDetail'),
      name: 'cancelStockDetail',
      hidden: true,
      is_menu: false,
      meta: { title: 'cancelStockDetail', noCache: true }
    },
    {
      path: '/stock/config',
      component: () => import('@/xt_pages/stock/index'),
      name: 'config',
      hidden: true,
      is_menu: false,
      num: 1,
      meta: { title: 'config', noCache: true }
    },
    {
      path: '/stock/print',
      component: () => import('@/xt_pages/stock/detail/print'),
      hidden: true,
      is_menu: false,
      name: 'stock_print',
      meta: {
        title: '库存打印',
        noCache: true
      }
    },
    {
      path: '/stock/user/detail',
      component: () => import('@/xt_pages/stock/stockUserDetail'),
      name: 'user_detail',
      hidden: true,
      is_menu: false,
      meta: { title: 'user_detail', noCache: true }
    },
    {
      path: '/stock/selfPreparedMedicine',
      component: () => import('@/xt_pages/stock/selfPreparedMedicine/index'),
      redirect: '/stock/selfPreparedMedicineIndex',
      name: 'selfPreparedMedicine',
      parentNum: 2,
      meta: {
        isChild: true,
        title: 'selfPreparedMedicine',
        noCache: true
      }
    },
    {
      path: '/stock/selfPreparedMedicineIndex',
      component: () => import('@/xt_pages/stock/selfPreparedMedicine/index'),
      name: 'selfPreparedMedicineIndex',
      hidden: true,
      is_menu: false,
      num: 2,
      meta: { title: 'selfPreparedMedicineIndex', noCache: true }
    },
    {
      path: '/stock/selfPreparedMedicineQuery',
      component: () => import('@/xt_pages/stock/selfPreparedMedicine/query'),
      name: 'selfPreparedMedicineQuery',
      hidden: true,
      is_menu: false,
      num: 2,
      meta: { title: 'selfPreparedMedicineQuery', noCache: true }
    },
    {
      path: '/stock/selfPreparedMedicineQueryPrint',
      component: () => import('@/xt_pages/stock/selfPreparedMedicine/queryPrint'),
      name: 'selfPreparedMedicineQueryPrint',
      hidden: true,
      is_menu: false,
      meta: { title: 'selfPreparedMedicineQueryPrint', noCache: true }
    },
    {
      path: '/stock/selfPreparedMedicineInfo',
      component: () => import('@/xt_pages/stock/selfPreparedMedicine/info'),
      name: 'selfPreparedMedicineInfo',
      hidden: true,
      is_menu: false,
      num: 2,
      meta: { title: 'selfPreparedMedicineInfo', noCache: true }
    },
    {
      path: '/stock/drugs',
      component: Layout,
      redirect: '/stock/drugs/stock/in',
      name: 'stockDrugs',
      parentNum: 3,
      meta: {
        isChild: true,
        title: 'stockDrugs',
        noCache: true
      }
    },
    {
      path: '/stock/drugs/stock/in',
      component: () => import('@/xt_pages/stock/drugs/stockIn'),
      name: 'drugsStockIn',
      hidden: true,
      is_menu: false,
      num: 3,
      meta: { title: 'drugsStockIn', noCache: true }
    },
    {
      path: '/stock/drugs/stock/out',
      component: () => import('@/xt_pages/stock/drugs/stockOut'),
      name: 'drugsStockOut',
      hidden: true,
      is_menu: false,
      num: 3,
      meta: { title: 'drugsStockOut', noCache: true }
    },
    {
      path: '/stock/drugs/stock/return',
      component: () => import('@/xt_pages/stock/drugs/stockReturn'),
      name: 'drugsStockReturn',
      hidden: true,
      is_menu: false,
      num: 3,
      meta: { title: 'drugsStockReturn', noCache: true }
    },
    {
      path: '/stock/drugs/stock/cancel',
      component: () => import('@/xt_pages/stock/drugs/stockCancel'),
      name: 'drugsStockCancel',
      hidden: true,
      is_menu: false,
      num: 3,
      meta: { title: 'drugsStockCancel', noCache: true }
    },
    {
      path: '/stock/drugs/stock/adjustPrice',
      component: () => import('@/xt_pages/stock/drugs/adjustPrice'),
      name: 'drugsAdjustPrice',
      hidden: true,
      is_menu: false,
      num: 3,
      meta: { title: 'drugsAdjustPrice', noCache: true }
    },
    {
      path: '/stock/drugs/stock/reportLoss',
      component: () => import('@/xt_pages/stock/drugs/reportLoss'),
      name: 'drugsReportLoss',
      hidden: true,
      is_menu: false,
      num: 3,
      meta: { title: 'drugsReportLoss', noCache: true }
    },
    {
      path: '/stock/drugs/stock/query',
      component: () => import('@/xt_pages/stock/drugs/query'),
      name: 'drugsQuery',
      hidden: true,
      is_menu: false,
      num: 3,
      meta: { title: 'drugsQuery', noCache: true }
    },
    {
      path: '/stock/drugs/stock/drugsSurplus',
      component: () => import('@/xt_pages/stock/drugs/drugsSurplus'),
      name: 'drugsSurplus',
      hidden: true,
      is_menu: false,
      num: 3,
      meta: { title: 'drugsSurplus', noCache: true }
    },
    {
      path: '/stock/drugs/stock/drugsExpiryDate',
      component: () => import('@/xt_pages/stock/drugs/drugsExpiryDate'),
      name: 'drugsExpiryDate',
      hidden: true,
      is_menu: false,
      num: 3,
      meta: { title: 'drugsExpiryDate', noCache: true }
    },
  ]
}
